/*
-- This file is  free  software, which  comes  along  with  SmartEiffel. This
-- software  is  distributed  in the hope that it will be useful, but WITHOUT
-- ANY  WARRANTY;  without  even  the  implied warranty of MERCHANTABILITY or
-- FITNESS  FOR A PARTICULAR PURPOSE. You can modify it as you want, provided
-- this header is kept unaltered, and a notification of the changes is added.
-- You  are  allowed  to  redistribute  it and sell it, alone or as a part of
-- another product.
--       Copyright (C) 1994-2002 LORIA - INRIA - U.H.P. Nancy 1 - FRANCE
--          Dominique COLNET and Suzanne COLLIN - SmartEiffel@loria.fr
--                       http://SmartEiffel.loria.fr
--
*/
/*
  This file (SmartEiffel/sys/runtime/manifest_string_trace.h) is automatically
  included when the -manifest_string_trace command line flag is used.
*/
EIF_STRING se_ms_trace(int count, char* c_string, int li, int co, char* path) {
  int i;
  fprintf(SE_ERR,"\"");
  for (i = 0; i < count ; i++) {
    fprintf(SE_ERR,"%c",c_string[i]);
  }
  fprintf(SE_ERR,"\" (-manifest_string_trace: line %d column %d %s)\n",
	  li,co,path);
  return se_ms(count,c_string);
}
